### Enumeration

# Gtk AccessibleState

#### Declaration

    enum Gtk.AccessibleState

#### Description [src]

The possible accessible states of a `GtkAccessible`.

#### Members

Name | Description
--- | ---
`GTK_ACCESSIBLE_STATE_BUSY` | A “busy” state. This state has boolean values.
`GTK_ACCESSIBLE_STATE_CHECKED` | A “checked” state; indicates the current state of a `GtkCheckButton`. Value type: `GtkAccessibleTristate`.
`GTK_ACCESSIBLE_STATE_DISABLED` | A “disabled” state; corresponds to the `GtkWidget:sensitive` property on `GtkWidget`. It indicates a UI element that is perceivable, but not editable or operable. Value type: boolean.
`GTK_ACCESSIBLE_STATE_EXPANDED` | An “expanded” state; corresponds to the `GtkExpander:expanded` property on `GtkExpander`. Value type: boolean or undefined.
`GTK_ACCESSIBLE_STATE_HIDDEN` | A “hidden” state; corresponds to the `GtkWidget:visible` property on `GtkWidget`. You can use this state explicitly on UI elements that should not be exposed to an assistive technology. Value type: boolean See also: `GTK_ACCESSIBLE_STATE_DISABLED`.
`GTK_ACCESSIBLE_STATE_INVALID` | An “invalid” state; set when a widget is showing an error. Value type: `GtkAccessibleInvalidState`.
`GTK_ACCESSIBLE_STATE_PRESSED` | A “pressed” state; indicates the current state of a `GtkToggleButton`. Value type: `GtkAccessibleTristate` enumeration.
`GTK_ACCESSIBLE_STATE_SELECTED` | A “selected” state; set when a widget is selected. Value type: boolean or undefined.

#### Type functions

###### gtk_accessible_state_init_value

No description available.